#ifndef INC_EEPROM_H_
#define INC_EEPROM_H_

#include "stm32f3xx_hal.h"

#include <stdint.h>

__attribute__((packed)) typedef struct {
  uint8_t id;
} EEPROMConfig;

extern EEPROMConfig eeprom_config;

void eeprom_init(I2C_HandleTypeDef* hi2c);
void eeprom_config_save();

#endif // INC_EEPROM_H_
